<?php
/***************************************************************************
			   موديول معرض الصور لمجلة البوابة العربية
			   برمجة عبقري العرب || موقع دار الاوائل
			www.arabiaone.org (arabgenius@hotmail.com)
***************************************************************************/

if (RUN_MODULE !== true)
{
    die ("<center><h3>عفوا هذه العملية غير مشروعة</h3></center>");
}

include("modules/gallery/config.php");
include("modules/gallery/functions.php");

$imgid = $apt->setid('imgid');

$index_middle = $apt->table_cat_module("<a href=mod.php?mod=$mod_name>&nbsp;$mod_title</a>");

$result = $apt->query("SELECT * FROM rafia_gallery_image where imgid='$imgid'");
if($apt->dbnumrows($result)== 0){
$apt->errmsg("عفوا ... الصورة التي تبحث عنها غير موجوده او تم حذفها");
}
$row = $apt->dbarray($result);
@extract($row);
$imgtitle = $apt->format_data_out($imgtitle);
$apt->title	= $imgtitle;
$imgdesc = $apt->format_data_out($imgdesc);
if(isset($apt->get[highlight]))
{
	$imgtitle          = highlight_words($imgtitle);
	$imgdesc          = highlight_words($imgdesc);
}

if(file_exists("modules/gallery/photos/$imglink")){
$size = @GetImageSize("modules/gallery/photos/$imglink") ;
$wt = $size[0];
$ht = $size[1];
$imgsize = @filesize("modules/gallery/photos/$imglink");
$imgsize = @intval($imgsize);
if($imgsize >= 1048576){
        $imgsize = round($imgsize / 1048576 * 100) / 100 . " ميجابايت ";
}elseif($imgsize >= 1024){
        $imgsize = round($imgsize / 1024 * 100) / 100 . " كيلوبايت ";
}

}else{
$size = @GetImageSize("modules/gallery/themes/images/404.gif") ;
$wt = $size[0];
$ht = $size[1];
$imgsize = @filesize("modules/gallery/themes/images/404.gif");
$imgsize = @intval($imgsize / 1024);
}

if($wt > $pic_width){$imgwt = " width=$pic_width";}else{$imgwt = " width=$wt";}
//if($ht > $pic_hight){$imght = " height=$pic_hight";}else{$imght = " height=$ht";}

$Simgdate = $imgdate;
$imgdate = $apt->Hijri($imgdate);
$imgrate	= @round($rate/$rateno,2);

if($hide_link == 1){
$photo = "<img src=\"mod.php?mod=gallery&modfile=view&imgid=$imgid\" border=0 $imgwt><br>";
}else{
$photo = "<img src=\"modules/gallery/photos/$imglink\" border=0 $imgwt><br>";
}
$photo_tools = '';
$member_group = $apt->cookie['cgroup'];
$allow_me = in_array($member_group,$allow_edit);
if($allow_me){
$photo_tools .= "<a href=mod.php?mod=gallery&modfile=edit&cat=$imgcat&imgid=$imgid  title='تعديل المشرف'><img border=0 src=modules/gallery/themes/images/ds_edit_admin.gif></a>";
}

$img_nav = pre_img("SELECT imgid FROM rafia_gallery_image WHERE allow='1' and imgcat ='$imgcat' and imgdate < '$Simgdate'  ORDER BY imgdate DESC LIMIT 1");
$img_nav.= next_img("SELECT imgid FROM rafia_gallery_image WHERE allow='1' and imgcat ='$imgcat' and imgdate > '$Simgdate'  ORDER BY imgdate LIMIT 1");
$link = 'http://'.$_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'];
$slink = ereg_replace("mod.php","",$link);
$forum_url = '[img]'.$slink."modules/gallery/photos/$imglink".'[/img]';
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_header' , $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_pic_info' , $modid,$mod_theme ) . "\";");

if($hide_link == 0){
$apt->query("Update rafia_gallery_image set imgview=imgview+1 where imgid='$imgid'");
}
$allow_me_comm = in_array($member_group,$allow_comm);
if($allow_me_comm){
if($member_group == 3){
$guest_options = "<tr>
      <td width='20%' align='center' class='red_bold'>اسم الـزائــر :</td>
      <td width='100%'><input type=text size='42' name='uname' cols='55' class='ImgLib_input_textbox'></td>
    </tr>
    <tr>
      <td width='20%' align='center' class='red_bold'>بريد الـزائــر :</td>
      <td width='100%'><input type=text dir=ltr size='42' name='umail' cols='55' class='ImgLib_input_textbox'></td>
    </tr>";
}
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_add_comment' , $modid,$mod_theme ) . "\";");
}

$img_url = $apt->format_data("http://" . $_SERVER["SERVER_NAME"] . $apt->server[REQUEST_URI]);

$img_send_textarea = "
السلام عليكم و رحمة الله و بركاته

صديقي العزيز ..
لقد رأيت صورة في معرض صور ". $apt->getsettings("sitetitle") . "
وقد اعجبتني كثيرا.. و هذا هو رابط الصوره

".$img_url. "

اتمنى ان تشاركني برأيك فيها";

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_send_image' , $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_add_comment' , $modid,$mod_theme ) . "\";");
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_rank_image' , $modid,$mod_theme ) . "\";");

$result = $apt->query("SELECT * FROM rafia_gallery_comm where imgid='$imgid' and allow =1");
if(!$apt->dbnumrows($result)== 0){
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_comment_header' , $modid,$mod_theme ) . "\";");
while($rows = $apt->dbarray($result)){
@extract($rows);
$text = $apt->format_data_out($text);
$date = $apt->Hijri($date);
if($uid == -1){
$user_inf = "'mailto:$umail'";
}else{
$user_inf = "members.php?action=info&userid=$uid";
}

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_pic_comment' , $modid,$mod_theme ) . "\";");

}
eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_comment_footer' , $modid,$mod_theme ) . "\";");
}

eval("\$index_middle .= \" " . $apt->getmodtemplate ( 'gallery_footer' , $modid,$mod_theme ) . "\";");
echo $index_middle;

?>